version: "3.7"

services:
  mock-server:
    image: mockserver/mockserver:mockserver-5.11.1
    ports:
      - "1080:1080"
    environment:
      MOCKSERVER_INITIALIZATION_JSON_PATH: /mock/api_init.json
      MOCKSERVER_WATCH_INITIALIZATION_JSON: 'true'
    volumes:
      - ./mock/mock-server/:/mock
  mongodb:
    image: mongo:5.0
    ports:
      - "27017:27017"  
  localstack:
    image: localstack/localstack:0.13
    environment:
      - SERVICES=s3,sns,sqs,kms
      - AWS_DEFAULT_REGION=eu-west-2
      - HOST_EXTERNAL=localstack
    volumes:
      - ./mock/localstack:/docker-entrypoint-initaws.d
    healthcheck:
      test: [ "CMD", "curl", "http://localhost:4566" ]
    ports:
      - "4566:4566"